## ruli 0.31

=== src/Makefile ===
--- 
+++ 
@@ -57,7 +57,7 @@
 FLAGS = $(DEBUG) -O2 -pipe -Wall -g -shared -D_REENTRANT \
         $(DEFINE_SOLARIS) -I. -I$(OOP_INCLUDE_DIR)
 SOFT_CFLAGS = $(WARN) $(FLAGS)
-CFLAGS = $(WARN) -Werror $(FLAGS)
+CFLAGS = $(WARN) $(FLAGS)
 LIBOBJ = ruli_isaac.o ruli_mem.o ruli_rand.o ruli_util.o ruli_list.o \
 	ruli_addr.o ruli_sock.o ruli_txt.o ruli_msg.o ruli_fsm.o \
 	ruli_res.o ruli_parse.o ruli_host.o ruli_srv.o ruli_conf.o \
