## ruli 0.32

=== src/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# $Id: Makefile,v 1.52 2004/08/25 19:04:23 evertonm Exp $
+# $Id: Makefile,v 1.54 2004/10/08 04:22:15 evertonm Exp $
 #
 
 #DEBUG += -DRULI_SRV_DEBUG 
@@ -61,7 +61,8 @@
 LIBOBJ = ruli_isaac.o ruli_mem.o ruli_rand.o ruli_util.o ruli_list.o \
 	ruli_addr.o ruli_sock.o ruli_txt.o ruli_msg.o ruli_fsm.o \
 	ruli_res.o ruli_parse.o ruli_host.o ruli_srv.o ruli_conf.o \
-	ruli_search.o ruli_smtp.o ruli_sync.o ruli_getaddrinfo.o
+	ruli_search.o ruli_http.o ruli_smtp.o ruli_sync.o \
+	ruli_getaddrinfo.o
 SHAREDOBJ = $(LIBOBJ:%.o=%.os)
 SONAME = libruli.so.3
 LDFLAGS = -L$(OOP_LIB_DIR)
