## ruli 0.33

=== guile/Makefile ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #
-# $Id: Makefile,v 1.5 2004/08/18 15:20:51 evertonm Exp $
+# $Id: Makefile,v 1.6 2004/10/26 21:13:15 evertonm Exp $
 #
+
+INCLUDES = -I../src -I/usr/local/ruli/include
+LIBS = -L../src -L/usr/local/ruli/lib
 
 WARN = -pedantic -ansi -Wshadow -Wpointer-arith -Wcast-qual \
         -Wcast-align -Wwrite-strings -Wstrict-prototypes \
@@ -8,8 +11,8 @@
 	-Wall \
 #	-Werror
 CFLAGS = $(WARN) -O2 -pipe -g -shared -D_REENTRANT -D__USE_GNU \
-	-fPIC $(shell guile-config compile) -I../src
-LDFLAGS = -L../src -lruli $(shell guile-config link)
+	-fPIC $(shell guile-config compile) $(INCLUDES) $(LIBS)
+LDFLAGS = $(LIBS) -lruli $(shell guile-config link)
 CC = gcc
 
 .PHONY: default
