=== sample/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 
 #
-# $Id: Makefile,v 1.16 2004/08/25 19:04:23 evertonm Exp $
+# $Id: Makefile,v 1.17 2004/10/08 04:22:15 evertonm Exp $
 #
 
 #
@@ -41,7 +41,8 @@
 LIBS = -lruli -loop $(SOLARIS_LIBS)
 LINK = $(CC) $(ARCH) $(LDFLAGS) -o $@ $^ $(LIBS)
 
-TARGETS = srvsearch sync_srvsearch smtpsearch sync_smtpsearch ruli-getaddrinfo
+TARGETS = srvsearch sync_srvsearch smtpsearch sync_smtpsearch \
+	sync_httpsearch httpsearch ruli-getaddrinfo
 SHARED_OBJS = stdout_srv_list.o parse_options.o
 
 .PHONY: default
@@ -64,8 +65,10 @@
 	cp $(TARGETS) $(INSTALL_BIN_DIR)
 	cp ../doc/man/*.1 $(INSTALL_MAN1_DIR)
 	cd $(INSTALL_MAN_DIR)/man1 && ln -s srvsearch.1 smtpsearch.1
+	cd $(INSTALL_MAN_DIR)/man1 && ln -s srvsearch.1 httpsearch.1
 	cd $(INSTALL_MAN_DIR)/man1 && ln -s srvsearch.1 sync_srvsearch.1
 	cd $(INSTALL_MAN_DIR)/man1 && ln -s srvsearch.1 sync_smtpsearch.1
+	cd $(INSTALL_MAN_DIR)/man1 && ln -s srvsearch.1 sync_httpsearch.1
 	cd $(INSTALL_MAN_DIR)/man1 && ln -s srvsearch.1 ruli-getaddrinfo.1
 
 %.o: %.c
@@ -83,6 +86,12 @@
 sync_smtpsearch: sync_smtpsearch.o $(SHARED_OBJS)
 	$(LINK)
 
+httpsearch: httpsearch.o $(SHARED_OBJS)
+	$(LINK)
+
+sync_httpsearch: sync_httpsearch.o $(SHARED_OBJS)
+	$(LINK)
+
 ruli-getaddrinfo: ruli-getaddrinfo.o $(SHARED_OBJS)
 	$(LINK)
