=== tools/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# $Id: Makefile,v 1.22 2004/07/07 17:39:14 evertonm Exp $
+# $Id: Makefile,v 1.24 2005/06/13 10:56:27 evertonm Exp $
 #
 
 #
@@ -22,14 +22,25 @@
 INSTALL_LIB_DIR     = $(INSTALL_BASE_DIR)/lib
 INSTALL_BIN_DIR     = $(INSTALL_BASE_DIR)/bin
 
+WARN = -pedantic -ansi -Wshadow -Wpointer-arith -Wcast-qual \
+        -Wcast-align -Wwrite-strings -Wredundant-decls \
+	-Wall
+
+# gcc-specific options (not valid for g++)
+ifeq ($(CC),gcc)
+WARN += -Wnested-externs
+WARN += -Wmissing-prototypes
+WARN += -Wstrict-prototypes
+endif
+
 CC      = gcc
-CFLAGS  = -O2 -pipe -Wall -g -I../src -I$(OOP_INCLUDE_DIR)
+CFLAGS  = $(WARN) -O2 -pipe -g -I../src -I$(OOP_INCLUDE_DIR)
 
 LDFLAGS = -L../src -L$(OOP_LIB_DIR) -lruli -loop
 
 TARGETS = list resolve hostsolver srvsolver syncsolver addrsolver \
 	srvsolver2 addrsolver2 addrsolver3 ruli-host rand cycle_res \
-        cycle_res2 ipv6
+        cycle_res2 ipv6 rfc3484
 
 LINK = $(CC) $(ARCH) $(LDFLAGS) -o $@ $^
 
@@ -97,3 +108,6 @@
 ipv6: ipv6.o
 	$(LINK)
 
+rfc3484: rfc3484.o
+	$(LINK)
+
