## ruli 0.36

=== sample/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 
 #
-# $Id: Makefile,v 1.17 2004/10/08 04:22:15 evertonm Exp $
+# $Id: Makefile,v 1.20 2005/09/01 11:16:20 evertonm Exp $
 #
 
 #
@@ -38,12 +38,13 @@
 CC      = gcc
 CFLAGS  = -O2 -pipe -Wall -g -I../src -I$(OOP_INCLUDE_DIR)
 LDFLAGS = -L../src -L$(OOP_LIB_DIR) $(SOLARIS_LDFLAGS)
-LIBS = -lruli -loop $(SOLARIS_LIBS)
-LINK = $(CC) $(ARCH) $(LDFLAGS) -o $@ $^ $(LIBS)
+UNRULI_LINK = $(CC) $(ARCH) $(LDFLAGS) -o $@ $^ $(SOLARIS_LIBS)
+LINK = $(UNRULI_LINK) -lruli -loop
 
 TARGETS = srvsearch sync_srvsearch smtpsearch sync_smtpsearch \
-	sync_httpsearch httpsearch ruli-getaddrinfo
-SHARED_OBJS = stdout_srv_list.o parse_options.o
+	sync_httpsearch httpsearch ruli-getaddrinfo getaddrinfo
+UNRULI_SHARED_OBJS = parse_options.o
+SHARED_OBJS = $(UNRULI_SHARED_OBJS) stdout_srv_list.o
 
 .PHONY: default
 default: $(TARGETS)
@@ -70,6 +71,7 @@
 	cd $(INSTALL_MAN_DIR)/man1 && ln -s srvsearch.1 sync_smtpsearch.1
 	cd $(INSTALL_MAN_DIR)/man1 && ln -s srvsearch.1 sync_httpsearch.1
 	cd $(INSTALL_MAN_DIR)/man1 && ln -s srvsearch.1 ruli-getaddrinfo.1
+	cd $(INSTALL_MAN_DIR)/man1 && ln -s srvsearch.1 getaddrinfo.1
 
 %.o: %.c
 	$(CC) $(ARCH) $(CPPFLAGS) $(CFLAGS) -c $<
@@ -92,6 +94,8 @@
 sync_httpsearch: sync_httpsearch.o $(SHARED_OBJS)
 	$(LINK)
 
-ruli-getaddrinfo: ruli-getaddrinfo.o $(SHARED_OBJS)
+ruli-getaddrinfo: ruli-getaddrinfo.o addrprint.o $(UNRULI_SHARED_OBJS)
 	$(LINK)
 
+getaddrinfo: getaddrinfo.o run_getaddrinfo.o addrprint.o $(UNRULI_SHARED_OBJS)
+	$(UNRULI_LINK) -ldl
