=== debian/changelog ===
ruli (0.36-3.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:05:13 +1100

ruli (0.36-3.1build1) noble; urgency=high

  * No change rebuild against liboop4t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:53:45 +0100

ruli (0.36-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062874

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 15:36:50 +0000

ruli (0.36-3) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on liboop-dev.
    + libruli4-dev: Drop versioned constraint on liboop-dev in Depends.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 02 Nov 2022 22:13:09 +0000

ruli (0.36-2) unstable; urgency=low

  * QA upload.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use canonical URL in Vcs-Browser.
  * Fix day-of-week for changelog entry 0.19-1.
  * Remove Section on libruli4 that duplicates source.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 04 Feb 2021 01:08:23 +0000

ruli (0.36-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * debian/rules: Use dh sequencer.
  * debian/watch: Update and use version 4.
  * debian/: Apply "wrap-and-sort -abst".
  * debian/source/format: Use "3.0 (quilt)".

 -- Boyuan Yang <byang@debian.org>  Fri, 10 Jul 2020 15:01:10 -0400

ruli (0.33-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add ${shlibs:Depends}. (Closes: #553255).
  * Fix watch file. (Closes: #449992).
  * Don't depend/build-depend on -1 revision of liboop-dev.
  * Replace deprecated ${Source-Version} with ${binary:Version}.
  * Bump debhelper build-dep and compat to 5.
  * Bump Standards Version to 3.8.3.

 -- Barry deFreese <bdefreese@debian.org>  Sat, 31 Oct 2009 11:28:38 -0400

ruli (0.33-1) unstable; urgency=low

  * New upstream release.
  * SONAME updated to reflect ABI change.

 -- Everton da Silva Marques <evertonsm@yahoo.com.br>  Fri, 17 Jun 2005 07:21:37 -0300

ruli (0.32-1) unstable; urgency=low

  * New upstream release.
  * Added httpsearch, sync_httpsearch to libruli-bin.

 -- Everton da Silva Marques <evertonsm@yahoo.com.br>  Tue, 26 Oct 2004 23:53:31 -0300

ruli (0.31-1) unstable; urgency=low

  * New upstream release.

 -- Everton da Silva Marques <evertonsm@yahoo.com.br>  Tue,  5 Oct 2004 01:24:48 -0300

ruli (0.30-1) unstable; urgency=low

  * New upstream release.

 -- Everton da Silva Marques <evertonsm@yahoo.com.br>  Wed, 25 Aug 2004 22:07:42 -0300

ruli (0.29-1) unstable; urgency=low

  * New upstream release.

 -- Everton da Silva Marques <evertonsm@yahoo.com.br>  Sun, 15 Aug 2004 03:32:44 -0300

ruli (0.28-2) unstable; urgency=low

  * Restrict -fPIC to shared lib.

 -- Everton da Silva Marques <evertonsm@yahoo.com.br>  Wed,  7 Jul 2004 00:31:27 -0300

ruli (0.28-1) unstable; urgency=low

  * New upstream release.
  * SONAME updated.

 -- Everton da Silva Marques <evertonsm@yahoo.com.br>  Sat, 26 Jun 2004 15:48:44 -0300

ruli (0.27-2) unstable; urgency=low

  * Removed -Werror from CFLAGS (again).

 -- Everton da Silva Marques <evertonsm@yahoo.com.br>  Thu, 24 Jun 2004 02:31:42 -0300

ruli (0.27-1) unstable; urgency=low

  * New upstream release.

 -- Everton da Silva Marques <evertonsm@yahoo.com.br>  Thu, 24 Jun 2004 01:42:15 -0300

ruli (0.26-2) unstable; urgency=low

  * Removed -L/usr/lib from CFLAGS in sample/Makefile.

 -- Everton da Silva Marques <evertonsm@yahoo.com.br>  Sun, 20 Jun 2004 14:43:26 -0300

ruli (0.26-1) unstable; urgency=low

  * New upstream release.
  * libruli-bin, libruli2-dev changed from 'devel' to 'libdevel'.

 -- Everton da Silva Marques <evertonsm@yahoo.com.br>  Thu, 17 Jun 2004 23:57:13 -0300

ruli (0.25-3) unstable; urgency=low

  * Symbol versioning in shared library.

 -- Everton da Silva Marques <evertonsm@yahoo.com.br>  Tue, 15 Jun 2004 22:52:00 -0300

ruli (0.25-2) unstable; urgency=low

  * Removed /usr from compiler search path in sample/Makefile.

 -- Everton da Silva Marques <evertonsm@yahoo.com.br>  Sat, 12 Jun 2004 00:49:18 -0300

ruli (0.25-1) unstable; urgency=low

  * New upstream release.
  * Removed -Werror from CFLAGS.

 -- Everton da Silva Marques <evertonsm@yahoo.com.br>  Wed,  9 Jun 2004 19:54:01 -0300

ruli (0.24-1) unstable; urgency=low

  * New upstream release.

 -- Everton da Silva Marques <evertonsm@yahoo.com.br>  Sun,  6 Jun 2004 01:35:48 -0300

ruli (0.23-1) unstable; urgency=low

  * New upstream release.

 -- Everton da Silva Marques <evertonsm@yahoo.com.br>  Thu,  3 Jun 2004 16:41:37 -0300

ruli (0.22-1) unstable; urgency=low

  * New upstream release.
  * Updated SONAME.
  * -dev package now depends on libc-dev.

 -- Everton da Silva Marques <evertonsm@yahoo.com.br>  Mon, 31 May 2004 13:44:17 -0300

ruli (0.21-1) unstable; urgency=low

  * New upstream release.

 -- Everton da Silva Marques <evertonsm@yahoo.com.br>  Fri, 21 May 2004 17:01:42 -0300

ruli (0.20-3) unstable; urgency=low

  * Removed build essential packages from Build-Depends.
  * Initial upload (closes: #234303).

 -- Everton da Silva Marques <evertonsm@yahoo.com.br>  Tue, 18 May 2004 09:59:59 -0300

ruli (0.20-2) unstable; urgency=low

  * Added 'make dpkg-clean' to top-level Makefile.
  * Removed too specific version numbers from Build-Depends.
  * Fixed include/library search path in 'sample/Makefile'.
  * Removed incorrect 'Conflicts' and 'Provides' for libruli-bin.
  * libruli1 now 'Provides:' libruli1 instead of libruli.

 -- Everton da Silva Marques <evertonsm@yahoo.com.br>  Mon, 17 May 2004 01:11:11 -0300

ruli (0.20-1) unstable; urgency=low

  * Added 'libruli-bin' binary package for sample programs.

 -- Everton da Silva Marques <evertonsm@yahoo.com.br>  Fri, 26 Mar 2004 21:13:41 -0300

ruli (0.19-1) unstable; urgency=low

  * New upstream release.


