=== debian/control ===
Source: ruli
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: dpkg-dev (>= 1.22.5),
 debhelper-compat (= 13),
 liboop-dev,
Standards-Version: 4.5.0
Homepage: https://www.nongnu.org/ruli/
Vcs-Git: https://salsa.debian.org/debian/ruli.git
Vcs-Browser: https://salsa.debian.org/debian/ruli

Package: libruli-bin
Section: libdevel
Architecture: any
Depends:
 libruli4t64 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Library for easily querying DNS SRV records - sample programs
 RULI stands for Resolver User Layer Interface. It's a library
 built on top of an asynchronous DNS stub resolver. RULI
 provides an easy-to-use interface for querying DNS SRV
 resource records. The goal is to promote the wide deployment
 of SRV-cognizant client programs. RULI aims to fully support
 SRV-related standards.
 .
 This package contains the RULI sample programs.

Package: libruli4t64
Provides: ${t64:Provides}
Replaces: libruli4
Breaks: libruli4 (<< ${source:Version})
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Library for easily querying DNS SRV records
 RULI stands for Resolver User Layer Interface. It's a library
 built on top of an asynchronous DNS stub resolver. RULI
 provides an easy-to-use interface for querying DNS SRV
 resource records. The goal is to promote the wide deployment
 of SRV-cognizant client programs. RULI aims to fully support
 SRV-related standards.

Package: libruli4-dev
Section: libdevel
Architecture: any
Depends:
 libc6-dev | libc-dev,
 liboop-dev,
 libruli4t64 (= ${binary:Version}),
 ${misc:Depends},
Provides:
 libruli-dev,
Conflicts:
 libruli-dev,
Description: Library for easily querying DNS SRV records - development files
 RULI stands for Resolver User Layer Interface. It's a library
 built on top of an asynchronous DNS stub resolver. RULI
 provides an easy-to-use interface for querying DNS SRV
 resource records. The goal is to promote the wide deployment
 of SRV-cognizant client programs. RULI aims to fully support
 SRV-related standards.
 .
 This package contains the RULI development libraries and
 header files, required to develop and/or compile
 applications that use RULI.
